std::is_integral< _Tp > Struct Template Reference
Utilities » Metaprogramming
Inheritance diagram for std::is_integral< _Tp >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

### template<typename _Tp>
struct std::is_integral< _Tp >

is_integral

Definition at line 313 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits